#! /bin/sh
#

echo
ps > /dev/null
HPTPID=`ps -cx | grep hptsvr `

#HPTKO=`kldstat | grep hptcam.ko`

RETVAL=0

case "$1" in
  start)
  	if [ "x$HPTPID" != x ] ; then
		echo "The daemon is running. Please stop it first."
		RETVAL=1
  	else
#		if [ "x$HPTKO" != x ]; then
			echo -n "Starting hptsvr daemon: "
			/usr/bin/hptsvr &
#		fi
		RETVAL=0
	fi
	echo
	;;
  stop)
  	if [ "x$HPTPID" != x ] ; then
		echo -n "Stopping hptsvr daemon: "
		kill $HPTPID
		RETVAL=$?
	else
		RETVAL=1
	fi
	echo
	;;
  *)
	echo "Usage: hptdaemon {start|stop}"
	exit 1
esac

exit $RETVAL
